Package org.apache.lucene.facet.taxonomy

## Class ParallelTaxonomyArrays.IntArray

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.ParallelTaxonomyArrays.IntArray

- Enclosing class:
    ParallelTaxonomyArrays

      public abstract static class ParallelTaxonomyArrays.IntArray
      extends Object

  Abstraction that looks like an int[], but read-only.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntArray()` | Sole constructor *

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract int` | `get​(int i)` | Equivalent to array[i].
    `abstract int` | `length()` | Equivalent to array.length.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntArray

          public IntArray()

      Sole constructor *

  - ### Method Detail

    - #### get

          public abstract int get​(int i)

      Equivalent to array[i].
      Parameters:
        `i` - the index of the value to retrieve
      Returns:
        the value at position i

    - #### length

          public abstract int length()

      Equivalent to array.length.
      Returns:
        the allocated size of the array